declare const configuration: {
    rules: {
        "api-property-matches-property-optionality": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldUseOptionalDecorator" | "shouldUseRequiredDecorator" | "shouldAddIsOptional" | "shouldRemoveNullableFromField" | "shouldSetFieldAsNullable", [{
            shouldDisableField: boolean;
        }], import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleListener>;
        "injectable-should-be-provided": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"injectableInModule" | "controllersInModule", never[], {
            ClassDeclaration(node: import("@typescript-eslint/types/dist/ast-spec").ClassDeclaration): void;
            "Program:exit"(): void;
        }>;
        "provided-injected-should-match-factory-parameters": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"mainMessage", never[], {
            VariableDeclarator(node: import("@typescript-eslint/types/dist/ast-spec").VariableDeclarator): void;
        }>;
        "controllers-should-supply-api-tags": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldUseApiTagDecorator", never[], {
            ClassDeclaration(node: import("@typescript-eslint/types/dist/ast-spec").ClassDeclaration): void;
        }>;
        "api-method-should-specify-api-response": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldSpecifyApiResponse", never[], {
            MethodDefinition(node: import("@typescript-eslint/types/dist/ast-spec").MethodDefinition): void;
        }>;
        "api-enum-property-best-practices": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"needsEnumNameAdded" | "needsTypeRemoved" | "enumNameShouldMatchType", never[], {
            PropertyDefinition(node: import("@typescript-eslint/types/dist/ast-spec").Node): void;
        }>;
        "api-property-returning-array-should-set-array": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldSetArrayPropertyTrue" | "shouldSetArrayPropertyFalse", never[], {
            PropertyDefinition: (node: import("@typescript-eslint/types/dist/ast-spec").Node) => void;
        }>;
        "should-specify-forbid-unknown-values": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldSpecifyForbidUnknownValues", never[], {
            NewExpression(node: import("@typescript-eslint/types/dist/ast-spec").Node): void;
            VariableDeclarator(node: import("@typescript-eslint/types/dist/ast-spec").Node): void;
        }>;
        "param-decorator-name-matches-route-param": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"paramIdentifierDoesntNeedColon" | "paramIdentifierShouldMatch", never[], {
            Decorator(node: import("@typescript-eslint/types/dist/ast-spec").Decorator): void;
        }>;
        "validated-non-primitive-property-needs-type-decorator": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldUseTypeDecorator", never[], {
            PropertyDefinition(node: import("@typescript-eslint/types/dist/ast-spec").PropertyDefinition): void;
        }>;
        "validate-nested-of-array-should-set-each": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"shouldSetEachPropertyTrue" | "shouldSetEachPropertyFalse", never[], {
            PropertyDefinition: (node: import("@typescript-eslint/types/dist/ast-spec").Node) => void;
        }>;
        "all-properties-are-whitelisted": import("@typescript-eslint/experimental-utils/dist/ts-eslint/Rule").RuleModule<"missing-property-decorator", never[], {
            ClassDeclaration(node: import("@typescript-eslint/types/dist/ast-spec").ClassDeclaration): void;
        }>;
    };
    configs: {
        recommended: {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                "@greguintow/nestjs-typed/provided-injected-should-match-factory-parameters": string;
                "@greguintow/nestjs-typed/injectable-should-be-provided": (string | {
                    src: string[];
                    filterFromPaths: string[];
                })[];
                "@greguintow/nestjs-typed/api-property-matches-property-optionality": string;
                "@greguintow/nestjs-typed/api-method-should-specify-api-response": string;
                "@greguintow/nestjs-typed/controllers-should-supply-api-tags": string;
                "@greguintow/nestjs-typed/api-enum-property-best-practices": string;
                "@greguintow/nestjs-typed/api-property-returning-array-should-set-array": string;
                "@greguintow/nestjs-typed/should-specify-forbid-unknown-values": string;
                "@greguintow/nestjs-typed/param-decorator-name-matches-route-param": string;
                "@greguintow/nestjs-typed/validated-non-primitive-property-needs-type-decorator": string;
                "@greguintow/nestjs-typed/validate-nested-of-array-should-set-each": string;
                "@greguintow/nestjs-typed/all-properties-are-whitelisted": string;
            };
        };
        "no-swagger": {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                "@greguintow/nestjs-typed/api-property-matches-property-optionality": string;
                "@greguintow/nestjs-typed/api-method-should-specify-api-response": string;
                "@greguintow/nestjs-typed/controllers-should-supply-api-tags": string;
                "@greguintow/nestjs-typed/api-enum-property-best-practices": string;
                "@greguintow/nestjs-typed/api-property-returning-array-should-set-array": string;
            };
        };
    };
};
export = configuration;
